      subroutine putsec(outfd,nt,nx,npad,ntaupow2,iadpout,pfe,dodata)
      implicit none
      integer outfd,nt,nx,npad,ntaupow2,iadpout
      real pfe(nt,nx)
      logical dodata
      integer it,icnt,rite
      integer feoff(2),cmst(2),cmend(2),cmax(2),fedim(2)
      include '/usr/include/cm/paris-configuration-fort.h'
      do 23000 it=1,nt,ntaupow2 
         if(.not.(dodata))goto 23002
            feoff(2)=it-1
            feoff(1)=0
            fedim(2)=nt
            fedim(1)=nx
            cmst(1)=0
            cmst(2)=0
            cmend(1)=nx
            cmend(2)=min(ntaupow2,nt+1-it)
            cmax(1)=0
            cmax(2)=1
23002    continue
         if(it.gt.1) iadpout=CM_add_offset_to_field_id(iadpout,32)
         if(.not.(dodata))goto 23004
         call CM_f_read_from_news_array_1L(pfe,feoff,cmst,cmend,
     1        cmax,iadpout,23,8,2,fedim,CM_float_single_array)
23004    continue
23000    continue
      if(.not.(dodata))goto 23006
         icnt=rite(outfd,pfe(1,npad+1),(nx-2*npad)*nt*4)
23006 continue
      return
      end
